FUNCTION::REGPARM(3stap)

NAME
function::regparm - Specify regparm value used to compile function

SYNOPSIS

    regparm(n:long)

ARGUMENTS

n
    original regparm value

DESCRIPTION

Call this function with argument n before accessing function arguments using the *_arg function is the function was build with the gcc -mregparm=n option.

(The i386 kernel is built with \-mregparm=3, so systemtap considers regparm(3) the default for kernel functions on that architecture.) Only valid on i386 and x86_64 (when probing 32bit applications). Produces an error on other architectures.

SEE ALSO
tapset::registers(3stap)